# Uses of Interface
com.sun.source.tree.VariableTree

Packages that use VariableTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of VariableTree in com.sun.source.tree

Methods in com.sun.source.tree that return VariableTree
Modifier and Type
Method
Description
`VariableTree`
CatchTree.`getParameter()`
Returns the catch variable.
`VariableTree`
MethodTree.`getReceiverParameter()`
Return an explicit receiver parameter ("this" parameter), or `null` if none.
`VariableTree`
BindingPatternTree.`getVariable()`
Returns the binding variable.
`VariableTree`
EnhancedForLoopTree.`getVariable()`
Returns the control variable for the loop.
Methods in com.sun.source.tree that return types with arguments of type VariableTree
Modifier and Type
Method
Description
`List<? extends VariableTree>`
LambdaExpressionTree.`getParameters()`
Returns the parameters of this lambda expression.
`List<? extends VariableTree>`
MethodTree.`getParameters()`
Returns the parameters of the method being declared.
Methods in com.sun.source.tree with parameters of type VariableTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitVariable(VariableTree node, P p)`
Visits a `VariableTree` node.

## Uses of VariableTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type VariableTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitVariable(VariableTree node, P p)`
Visits a `VariableTree` node.
`R`
TreeScanner.`visitVariable(VariableTree node, P p)`
Visits a `VariableTree` node.